package com.chenyang.nse.bussiness.entity.orm.table.core;

import java.util.Date;

public class DataareaSecretkeyRelationVo {
   private String encryption_name;
   private String secret_key_name;
   private String enc_name;
   private String encryption_id;
   private String secretkey_id;
   private String dataarea_id;
   private String defaulttype;
   private Date createtime;
   private Date updatetime;
   private String createuser;
   private String updateuser;
   private String id;
   private String flag;
   private String note;

   public String getEncryption_name() {
      return this.encryption_name;
   }

   public void setEncryption_name(String encryption_name) {
      this.encryption_name = encryption_name;
   }

   public String getSecret_key_name() {
      return this.secret_key_name;
   }

   public void setSecret_key_name(String secret_key_name) {
      this.secret_key_name = secret_key_name;
   }

   public String getEnc_name() {
      return this.enc_name;
   }

   public void setEnc_name(String enc_name) {
      this.enc_name = enc_name;
   }

   public String getEncryption_id() {
      return this.encryption_id;
   }

   public void setEncryption_id(String encryption_id) {
      this.encryption_id = encryption_id;
   }

   public String getSecretkey_id() {
      return this.secretkey_id;
   }

   public void setSecretkey_id(String secretkey_id) {
      this.secretkey_id = secretkey_id;
   }

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public void setDataarea_id(String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public String getDefaulttype() {
      return this.defaulttype;
   }

   public void setDefaulttype(String defaulttype) {
      this.defaulttype = defaulttype;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public String getUpdateuser() {
      return this.updateuser;
   }

   public void setUpdateuser(String updateuser) {
      this.updateuser = updateuser;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }
}
